import React from 'react';

const ganttConfig = {
    project: {
        autoLoad: true,
        transport: {
            load: {
                url: 'data/launch-saas.json'
            }
        },
        // This config enables response validation and dumping of found errors to the browser console.
        // It's meant to be used as a development stage helper only so please set it to false for production systems.
        validateResponse : true,
    },
    columns: [
        { type: 'name', field: 'name', width: 250, renderer: ({record}) => {
            return record.isLeaf ? <span>{record.name}</span> : <b>{record.name}</b>
        } },
        {
            text: 'Start',
            type: 'startdate',
            width: 80,
          },
    ],
    viewPreset: 'weekAndDayLetter',
    barMargin: 10,
    tbar : [
        {
            type: 'button',
            ref: 'filterAllButton',
            icon: 'b-gantt-filter',
            tooltip: 'test',
            menu: {
              pickergroup: {
                type: 'fieldfilterpickergroup',
                fields: [{ name: 'name', type: 'string', text: 'Name' },{ name: 'status', type: 'string', text: 'Status' },],
                filters: [
                  {
                    property: 'name',
                    operator: 'notEmpty',
                    value: '',
                  },
                ],
                listeners: {
                  change: (props) => {
                    //how to access gantt instance here?
                  },             
                },
              },
            },
          },
    ],
};
export { ganttConfig };
